Subject: bug#3746: M-r in comint mode should use isearch

From: Juri Linkov <[email-masked]>
Date: Tue, 07 Jul 2009 03:09:45 +0300

> The problem with that is that C-s (and C-r) already have bindings in
> comint modes, and changing them would not be liked by most users.
> Doing M-r and then C-s/C-r seems a bit cumbersome.
> IMHO just using M-r for incremental history search will provide no
> surprises for the user, and it seems like a natural extension of the
> current behavior.

Currently M-r typed in the shell buffer activates the minibuffer with
the prompt "Previous input matching (regexp): ".  I doubt that users
will like to see Isearch activated instead of this minibuffer.
But maybe we should try using M-s that is less useful in the
shell buffer.

-- 
Juri Linkov
http://www.jurta.org/emacs/